#!/bin/python

# oscillode
# Copyright (C) 2024 oscillode Project Contributors
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import sys
import subprocess

import info

WHEEL_DOWNLOADS_PATH = info.PATH_BUILD / 'downloads'

if __name__ == '__main__':
	WHEEL_DOWNLOADS_PATH.mkdir(exist_ok=True)
	subprocess.check_call(
		[
			sys.executable,
			'-m',
			'pip',
			'download',
			'--requirement',
			str(info.PATH_BUILD / 'requirements.txt'),
			'--dest',
			str(WHEEL_DOWNLOADS_PATH),
			'--require-hashes',
			'--only-binary',
			':all:',
			'--python-version',
			'3.11',
			'--platform',
			'win_amd64',
		]
	)
